# class Puppet::Parser::Resource::Param

The parameters we stick in Resources.

### Attributes

add[RW]
file[RW]
line[RW]
name[RW]
source[RW]
value[RW]

### Public Class Methods

new(hash) click to toggle source

    # File lib/puppet/parser/resource/param.rb, line 12
    def initialize(hash)
      set_options(hash)
      requiredopts(:name, :value)
      @name = @name.intern
    end

### Public Instance Methods

line_to_i() click to toggle source

    # File lib/puppet/parser/resource/param.rb, line 18
    def line_to_i
      line ? Integer(line) : nil
    end

to_s() click to toggle source

    # File lib/puppet/parser/resource/param.rb, line 22
    def to_s
      "#{self.name} => #{self.value}"
    end